%define upstream_name    Net-GPSD3
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Net::GPSD3 Return Satellite Object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::W3CDTF) >= 0.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GPS::Point) >= 0.100.0
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
Net::GPSD3 provides an object client interface to the gpsd server daemon
utilizing the version 3.1 protocol. gpsd is an open source GPS deamon from
http://gpsd.berlios.de/. Support for Version 3 of the protocol (JSON) was
adding to the daemon in version 2.90. If your daemon is before 2.90 then
please use the the Net::GPSD manpage package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man?/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 370611
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 191458
- update to 0.18

* Mon Apr 11 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 83369
- update to 0.17

* Thu Apr 07 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 81777
- update to 0.15

* Mon Mar 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 78364
- update to 0.14

* Fri Mar 25 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 77325
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 36431
- mageia rebuild
- imported package perl-Net-GPSD3

